Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.net.axis.server
Class WsdlAwareHttpActionHandler

    java.lang.Object
      org.apache.axis.handlers.BasicHandler
          org.apache.axis.handlers.http.HTTPActionHandler
              org.jboss.net.axis.server.WsdlAwareHttpActionHandler

All Implemented Interfaces:
  org.apache.axis.Handler, Serializable

public class WsdlAwareHttpActionHandler
extends org.apache.axis.handlers.http.HTTPActionHandler

This HttpActionHandler will influence the wsdl-generation of action aware service providers, such as `EJBProvider`.

Since:
  27.03.2003
Version:
  $Revision: 1.5 $
Author:
  Christoph G. Jung
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.axis.handlers.BasicHandler
`makeLockable, name, options`

Constructor Summary
`WsdlAwareHttpActionHandler()`

Method Summary
`void` | `generateWSDL(org.apache.axis.MessageContext arg0)` sets the presence flag in the context such that any provider that uses this flag will be able to generate soap-action information.

Methods inherited from class org.apache.axis.handlers.http.HTTPActionHandler
`invoke`

Methods inherited from class org.apache.axis.handlers.BasicHandler
`canHandleBlock, cleanup, getDeploymentData, getName, getOption, getOptions, getUnderstoodHeaders, init, initHashtable, onFault, setName, setOption, setOptionDefault, setOptions, setOptionsLockable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WsdlAwareHttpActionHandler

    public WsdlAwareHttpActionHandler()

Method Detail

### generateWSDL

    public void generateWSDL(org.apache.axis.MessageContext arg0)
                      throws org.apache.axis.AxisFault

  sets the presence flag in the context such that any provider that uses this flag will be able to generate soap-action information.

  Throws:
    `org.apache.axis.AxisFault`
  See Also:
    `Handler.generateWSDL(org.apache.axis.MessageContext)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.